Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network255.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
255.0.0.0
Broadcast address
255.255.255.255
First usable
255.0.0.1
Last usable
255.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FF000000 · Integer 4278190080 to 4294967295
Reverse DNS zone
255.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111111..00000000.00000000.00000000255.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11111111..00000000.00000000.00000000255.0.0.0
Broadcast11111111..11111111.11111111.11111111255.255.255.255
Split into smaller subnets/17

255.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1255.0.0.0/17255.0.0.1 to 255.0.127.254255.0.127.25532,766
2255.0.128.0/17255.0.128.1 to 255.0.255.254255.0.255.25532,766
3255.1.0.0/17255.1.0.1 to 255.1.127.254255.1.127.25532,766
4255.1.128.0/17255.1.128.1 to 255.1.255.254255.1.255.25532,766
5255.2.0.0/17255.2.0.1 to 255.2.127.254255.2.127.25532,766
6255.2.128.0/17255.2.128.1 to 255.2.255.254255.2.255.25532,766
7255.3.0.0/17255.3.0.1 to 255.3.127.254255.3.127.25532,766
8255.3.128.0/17255.3.128.1 to 255.3.255.254255.3.255.25532,766
9255.4.0.0/17255.4.0.1 to 255.4.127.254255.4.127.25532,766
10255.4.128.0/17255.4.128.1 to 255.4.255.254255.4.255.25532,766
11255.5.0.0/17255.5.0.1 to 255.5.127.254255.5.127.25532,766
12255.5.128.0/17255.5.128.1 to 255.5.255.254255.5.255.25532,766
13255.6.0.0/17255.6.0.1 to 255.6.127.254255.6.127.25532,766
14255.6.128.0/17255.6.128.1 to 255.6.255.254255.6.255.25532,766
15255.7.0.0/17255.7.0.1 to 255.7.127.254255.7.127.25532,766
16255.7.128.0/17255.7.128.1 to 255.7.255.254255.7.255.25532,766
17255.8.0.0/17255.8.0.1 to 255.8.127.254255.8.127.25532,766
18255.8.128.0/17255.8.128.1 to 255.8.255.254255.8.255.25532,766
19255.9.0.0/17255.9.0.1 to 255.9.127.254255.9.127.25532,766
20255.9.128.0/17255.9.128.1 to 255.9.255.254255.9.255.25532,766
21255.10.0.0/17255.10.0.1 to 255.10.127.254255.10.127.25532,766
22255.10.128.0/17255.10.128.1 to 255.10.255.254255.10.255.25532,766
23255.11.0.0/17255.11.0.1 to 255.11.127.254255.11.127.25532,766
24255.11.128.0/17255.11.128.1 to 255.11.255.254255.11.255.25532,766
25255.12.0.0/17255.12.0.1 to 255.12.127.254255.12.127.25532,766
26255.12.128.0/17255.12.128.1 to 255.12.255.254255.12.255.25532,766
27255.13.0.0/17255.13.0.1 to 255.13.127.254255.13.127.25532,766
28255.13.128.0/17255.13.128.1 to 255.13.255.254255.13.255.25532,766
29255.14.0.0/17255.14.0.1 to 255.14.127.254255.14.127.25532,766
30255.14.128.0/17255.14.128.1 to 255.14.255.254255.14.255.25532,766
31255.15.0.0/17255.15.0.1 to 255.15.127.254255.15.127.25532,766
32255.15.128.0/17255.15.128.1 to 255.15.255.254255.15.255.25532,766
33255.16.0.0/17255.16.0.1 to 255.16.127.254255.16.127.25532,766
34255.16.128.0/17255.16.128.1 to 255.16.255.254255.16.255.25532,766
35255.17.0.0/17255.17.0.1 to 255.17.127.254255.17.127.25532,766
36255.17.128.0/17255.17.128.1 to 255.17.255.254255.17.255.25532,766
37255.18.0.0/17255.18.0.1 to 255.18.127.254255.18.127.25532,766
38255.18.128.0/17255.18.128.1 to 255.18.255.254255.18.255.25532,766
39255.19.0.0/17255.19.0.1 to 255.19.127.254255.19.127.25532,766
40255.19.128.0/17255.19.128.1 to 255.19.255.254255.19.255.25532,766
41255.20.0.0/17255.20.0.1 to 255.20.127.254255.20.127.25532,766
42255.20.128.0/17255.20.128.1 to 255.20.255.254255.20.255.25532,766
43255.21.0.0/17255.21.0.1 to 255.21.127.254255.21.127.25532,766
44255.21.128.0/17255.21.128.1 to 255.21.255.254255.21.255.25532,766
45255.22.0.0/17255.22.0.1 to 255.22.127.254255.22.127.25532,766
46255.22.128.0/17255.22.128.1 to 255.22.255.254255.22.255.25532,766
47255.23.0.0/17255.23.0.1 to 255.23.127.254255.23.127.25532,766
48255.23.128.0/17255.23.128.1 to 255.23.255.254255.23.255.25532,766
49255.24.0.0/17255.24.0.1 to 255.24.127.254255.24.127.25532,766
50255.24.128.0/17255.24.128.1 to 255.24.255.254255.24.255.25532,766
51255.25.0.0/17255.25.0.1 to 255.25.127.254255.25.127.25532,766
52255.25.128.0/17255.25.128.1 to 255.25.255.254255.25.255.25532,766
53255.26.0.0/17255.26.0.1 to 255.26.127.254255.26.127.25532,766
54255.26.128.0/17255.26.128.1 to 255.26.255.254255.26.255.25532,766
55255.27.0.0/17255.27.0.1 to 255.27.127.254255.27.127.25532,766
56255.27.128.0/17255.27.128.1 to 255.27.255.254255.27.255.25532,766
57255.28.0.0/17255.28.0.1 to 255.28.127.254255.28.127.25532,766
58255.28.128.0/17255.28.128.1 to 255.28.255.254255.28.255.25532,766
59255.29.0.0/17255.29.0.1 to 255.29.127.254255.29.127.25532,766
60255.29.128.0/17255.29.128.1 to 255.29.255.254255.29.255.25532,766
61255.30.0.0/17255.30.0.1 to 255.30.127.254255.30.127.25532,766
62255.30.128.0/17255.30.128.1 to 255.30.255.254255.30.255.25532,766
63255.31.0.0/17255.31.0.1 to 255.31.127.254255.31.127.25532,766
64255.31.128.0/17255.31.128.1 to 255.31.255.254255.31.255.25532,766
65255.32.0.0/17255.32.0.1 to 255.32.127.254255.32.127.25532,766
66255.32.128.0/17255.32.128.1 to 255.32.255.254255.32.255.25532,766
67255.33.0.0/17255.33.0.1 to 255.33.127.254255.33.127.25532,766
68255.33.128.0/17255.33.128.1 to 255.33.255.254255.33.255.25532,766
69255.34.0.0/17255.34.0.1 to 255.34.127.254255.34.127.25532,766
70255.34.128.0/17255.34.128.1 to 255.34.255.254255.34.255.25532,766
71255.35.0.0/17255.35.0.1 to 255.35.127.254255.35.127.25532,766
72255.35.128.0/17255.35.128.1 to 255.35.255.254255.35.255.25532,766
73255.36.0.0/17255.36.0.1 to 255.36.127.254255.36.127.25532,766
74255.36.128.0/17255.36.128.1 to 255.36.255.254255.36.255.25532,766
75255.37.0.0/17255.37.0.1 to 255.37.127.254255.37.127.25532,766
76255.37.128.0/17255.37.128.1 to 255.37.255.254255.37.255.25532,766
77255.38.0.0/17255.38.0.1 to 255.38.127.254255.38.127.25532,766
78255.38.128.0/17255.38.128.1 to 255.38.255.254255.38.255.25532,766
79255.39.0.0/17255.39.0.1 to 255.39.127.254255.39.127.25532,766
80255.39.128.0/17255.39.128.1 to 255.39.255.254255.39.255.25532,766
81255.40.0.0/17255.40.0.1 to 255.40.127.254255.40.127.25532,766
82255.40.128.0/17255.40.128.1 to 255.40.255.254255.40.255.25532,766
83255.41.0.0/17255.41.0.1 to 255.41.127.254255.41.127.25532,766
84255.41.128.0/17255.41.128.1 to 255.41.255.254255.41.255.25532,766
85255.42.0.0/17255.42.0.1 to 255.42.127.254255.42.127.25532,766
86255.42.128.0/17255.42.128.1 to 255.42.255.254255.42.255.25532,766
87255.43.0.0/17255.43.0.1 to 255.43.127.254255.43.127.25532,766
88255.43.128.0/17255.43.128.1 to 255.43.255.254255.43.255.25532,766
89255.44.0.0/17255.44.0.1 to 255.44.127.254255.44.127.25532,766
90255.44.128.0/17255.44.128.1 to 255.44.255.254255.44.255.25532,766
91255.45.0.0/17255.45.0.1 to 255.45.127.254255.45.127.25532,766
92255.45.128.0/17255.45.128.1 to 255.45.255.254255.45.255.25532,766
93255.46.0.0/17255.46.0.1 to 255.46.127.254255.46.127.25532,766
94255.46.128.0/17255.46.128.1 to 255.46.255.254255.46.255.25532,766
95255.47.0.0/17255.47.0.1 to 255.47.127.254255.47.127.25532,766
96255.47.128.0/17255.47.128.1 to 255.47.255.254255.47.255.25532,766
97255.48.0.0/17255.48.0.1 to 255.48.127.254255.48.127.25532,766
98255.48.128.0/17255.48.128.1 to 255.48.255.254255.48.255.25532,766
99255.49.0.0/17255.49.0.1 to 255.49.127.254255.49.127.25532,766
100255.49.128.0/17255.49.128.1 to 255.49.255.254255.49.255.25532,766
101255.50.0.0/17255.50.0.1 to 255.50.127.254255.50.127.25532,766
102255.50.128.0/17255.50.128.1 to 255.50.255.254255.50.255.25532,766
103255.51.0.0/17255.51.0.1 to 255.51.127.254255.51.127.25532,766
104255.51.128.0/17255.51.128.1 to 255.51.255.254255.51.255.25532,766
105255.52.0.0/17255.52.0.1 to 255.52.127.254255.52.127.25532,766
106255.52.128.0/17255.52.128.1 to 255.52.255.254255.52.255.25532,766
107255.53.0.0/17255.53.0.1 to 255.53.127.254255.53.127.25532,766
108255.53.128.0/17255.53.128.1 to 255.53.255.254255.53.255.25532,766
109255.54.0.0/17255.54.0.1 to 255.54.127.254255.54.127.25532,766
110255.54.128.0/17255.54.128.1 to 255.54.255.254255.54.255.25532,766
111255.55.0.0/17255.55.0.1 to 255.55.127.254255.55.127.25532,766
112255.55.128.0/17255.55.128.1 to 255.55.255.254255.55.255.25532,766
113255.56.0.0/17255.56.0.1 to 255.56.127.254255.56.127.25532,766
114255.56.128.0/17255.56.128.1 to 255.56.255.254255.56.255.25532,766
115255.57.0.0/17255.57.0.1 to 255.57.127.254255.57.127.25532,766
116255.57.128.0/17255.57.128.1 to 255.57.255.254255.57.255.25532,766
117255.58.0.0/17255.58.0.1 to 255.58.127.254255.58.127.25532,766
118255.58.128.0/17255.58.128.1 to 255.58.255.254255.58.255.25532,766
119255.59.0.0/17255.59.0.1 to 255.59.127.254255.59.127.25532,766
120255.59.128.0/17255.59.128.1 to 255.59.255.254255.59.255.25532,766
121255.60.0.0/17255.60.0.1 to 255.60.127.254255.60.127.25532,766
122255.60.128.0/17255.60.128.1 to 255.60.255.254255.60.255.25532,766
123255.61.0.0/17255.61.0.1 to 255.61.127.254255.61.127.25532,766
124255.61.128.0/17255.61.128.1 to 255.61.255.254255.61.255.25532,766
125255.62.0.0/17255.62.0.1 to 255.62.127.254255.62.127.25532,766
126255.62.128.0/17255.62.128.1 to 255.62.255.254255.62.255.25532,766
127255.63.0.0/17255.63.0.1 to 255.63.127.254255.63.127.25532,766
128255.63.128.0/17255.63.128.1 to 255.63.255.254255.63.255.25532,766
129255.64.0.0/17255.64.0.1 to 255.64.127.254255.64.127.25532,766
130255.64.128.0/17255.64.128.1 to 255.64.255.254255.64.255.25532,766
131255.65.0.0/17255.65.0.1 to 255.65.127.254255.65.127.25532,766
132255.65.128.0/17255.65.128.1 to 255.65.255.254255.65.255.25532,766
133255.66.0.0/17255.66.0.1 to 255.66.127.254255.66.127.25532,766
134255.66.128.0/17255.66.128.1 to 255.66.255.254255.66.255.25532,766
135255.67.0.0/17255.67.0.1 to 255.67.127.254255.67.127.25532,766
136255.67.128.0/17255.67.128.1 to 255.67.255.254255.67.255.25532,766
137255.68.0.0/17255.68.0.1 to 255.68.127.254255.68.127.25532,766
138255.68.128.0/17255.68.128.1 to 255.68.255.254255.68.255.25532,766
139255.69.0.0/17255.69.0.1 to 255.69.127.254255.69.127.25532,766
140255.69.128.0/17255.69.128.1 to 255.69.255.254255.69.255.25532,766
141255.70.0.0/17255.70.0.1 to 255.70.127.254255.70.127.25532,766
142255.70.128.0/17255.70.128.1 to 255.70.255.254255.70.255.25532,766
143255.71.0.0/17255.71.0.1 to 255.71.127.254255.71.127.25532,766
144255.71.128.0/17255.71.128.1 to 255.71.255.254255.71.255.25532,766
145255.72.0.0/17255.72.0.1 to 255.72.127.254255.72.127.25532,766
146255.72.128.0/17255.72.128.1 to 255.72.255.254255.72.255.25532,766
147255.73.0.0/17255.73.0.1 to 255.73.127.254255.73.127.25532,766
148255.73.128.0/17255.73.128.1 to 255.73.255.254255.73.255.25532,766
149255.74.0.0/17255.74.0.1 to 255.74.127.254255.74.127.25532,766
150255.74.128.0/17255.74.128.1 to 255.74.255.254255.74.255.25532,766
151255.75.0.0/17255.75.0.1 to 255.75.127.254255.75.127.25532,766
152255.75.128.0/17255.75.128.1 to 255.75.255.254255.75.255.25532,766
153255.76.0.0/17255.76.0.1 to 255.76.127.254255.76.127.25532,766
154255.76.128.0/17255.76.128.1 to 255.76.255.254255.76.255.25532,766
155255.77.0.0/17255.77.0.1 to 255.77.127.254255.77.127.25532,766
156255.77.128.0/17255.77.128.1 to 255.77.255.254255.77.255.25532,766
157255.78.0.0/17255.78.0.1 to 255.78.127.254255.78.127.25532,766
158255.78.128.0/17255.78.128.1 to 255.78.255.254255.78.255.25532,766
159255.79.0.0/17255.79.0.1 to 255.79.127.254255.79.127.25532,766
160255.79.128.0/17255.79.128.1 to 255.79.255.254255.79.255.25532,766
161255.80.0.0/17255.80.0.1 to 255.80.127.254255.80.127.25532,766
162255.80.128.0/17255.80.128.1 to 255.80.255.254255.80.255.25532,766
163255.81.0.0/17255.81.0.1 to 255.81.127.254255.81.127.25532,766
164255.81.128.0/17255.81.128.1 to 255.81.255.254255.81.255.25532,766
165255.82.0.0/17255.82.0.1 to 255.82.127.254255.82.127.25532,766
166255.82.128.0/17255.82.128.1 to 255.82.255.254255.82.255.25532,766
167255.83.0.0/17255.83.0.1 to 255.83.127.254255.83.127.25532,766
168255.83.128.0/17255.83.128.1 to 255.83.255.254255.83.255.25532,766
169255.84.0.0/17255.84.0.1 to 255.84.127.254255.84.127.25532,766
170255.84.128.0/17255.84.128.1 to 255.84.255.254255.84.255.25532,766
171255.85.0.0/17255.85.0.1 to 255.85.127.254255.85.127.25532,766
172255.85.128.0/17255.85.128.1 to 255.85.255.254255.85.255.25532,766
173255.86.0.0/17255.86.0.1 to 255.86.127.254255.86.127.25532,766
174255.86.128.0/17255.86.128.1 to 255.86.255.254255.86.255.25532,766
175255.87.0.0/17255.87.0.1 to 255.87.127.254255.87.127.25532,766
176255.87.128.0/17255.87.128.1 to 255.87.255.254255.87.255.25532,766
177255.88.0.0/17255.88.0.1 to 255.88.127.254255.88.127.25532,766
178255.88.128.0/17255.88.128.1 to 255.88.255.254255.88.255.25532,766
179255.89.0.0/17255.89.0.1 to 255.89.127.254255.89.127.25532,766
180255.89.128.0/17255.89.128.1 to 255.89.255.254255.89.255.25532,766
181255.90.0.0/17255.90.0.1 to 255.90.127.254255.90.127.25532,766
182255.90.128.0/17255.90.128.1 to 255.90.255.254255.90.255.25532,766
183255.91.0.0/17255.91.0.1 to 255.91.127.254255.91.127.25532,766
184255.91.128.0/17255.91.128.1 to 255.91.255.254255.91.255.25532,766
185255.92.0.0/17255.92.0.1 to 255.92.127.254255.92.127.25532,766
186255.92.128.0/17255.92.128.1 to 255.92.255.254255.92.255.25532,766
187255.93.0.0/17255.93.0.1 to 255.93.127.254255.93.127.25532,766
188255.93.128.0/17255.93.128.1 to 255.93.255.254255.93.255.25532,766
189255.94.0.0/17255.94.0.1 to 255.94.127.254255.94.127.25532,766
190255.94.128.0/17255.94.128.1 to 255.94.255.254255.94.255.25532,766
191255.95.0.0/17255.95.0.1 to 255.95.127.254255.95.127.25532,766
192255.95.128.0/17255.95.128.1 to 255.95.255.254255.95.255.25532,766
193255.96.0.0/17255.96.0.1 to 255.96.127.254255.96.127.25532,766
194255.96.128.0/17255.96.128.1 to 255.96.255.254255.96.255.25532,766
195255.97.0.0/17255.97.0.1 to 255.97.127.254255.97.127.25532,766
196255.97.128.0/17255.97.128.1 to 255.97.255.254255.97.255.25532,766
197255.98.0.0/17255.98.0.1 to 255.98.127.254255.98.127.25532,766
198255.98.128.0/17255.98.128.1 to 255.98.255.254255.98.255.25532,766
199255.99.0.0/17255.99.0.1 to 255.99.127.254255.99.127.25532,766
200255.99.128.0/17255.99.128.1 to 255.99.255.254255.99.255.25532,766
201255.100.0.0/17255.100.0.1 to 255.100.127.254255.100.127.25532,766
202255.100.128.0/17255.100.128.1 to 255.100.255.254255.100.255.25532,766
203255.101.0.0/17255.101.0.1 to 255.101.127.254255.101.127.25532,766
204255.101.128.0/17255.101.128.1 to 255.101.255.254255.101.255.25532,766
205255.102.0.0/17255.102.0.1 to 255.102.127.254255.102.127.25532,766
206255.102.128.0/17255.102.128.1 to 255.102.255.254255.102.255.25532,766
207255.103.0.0/17255.103.0.1 to 255.103.127.254255.103.127.25532,766
208255.103.128.0/17255.103.128.1 to 255.103.255.254255.103.255.25532,766
209255.104.0.0/17255.104.0.1 to 255.104.127.254255.104.127.25532,766
210255.104.128.0/17255.104.128.1 to 255.104.255.254255.104.255.25532,766
211255.105.0.0/17255.105.0.1 to 255.105.127.254255.105.127.25532,766
212255.105.128.0/17255.105.128.1 to 255.105.255.254255.105.255.25532,766
213255.106.0.0/17255.106.0.1 to 255.106.127.254255.106.127.25532,766
214255.106.128.0/17255.106.128.1 to 255.106.255.254255.106.255.25532,766
215255.107.0.0/17255.107.0.1 to 255.107.127.254255.107.127.25532,766
216255.107.128.0/17255.107.128.1 to 255.107.255.254255.107.255.25532,766
217255.108.0.0/17255.108.0.1 to 255.108.127.254255.108.127.25532,766
218255.108.128.0/17255.108.128.1 to 255.108.255.254255.108.255.25532,766
219255.109.0.0/17255.109.0.1 to 255.109.127.254255.109.127.25532,766
220255.109.128.0/17255.109.128.1 to 255.109.255.254255.109.255.25532,766
221255.110.0.0/17255.110.0.1 to 255.110.127.254255.110.127.25532,766
222255.110.128.0/17255.110.128.1 to 255.110.255.254255.110.255.25532,766
223255.111.0.0/17255.111.0.1 to 255.111.127.254255.111.127.25532,766
224255.111.128.0/17255.111.128.1 to 255.111.255.254255.111.255.25532,766
225255.112.0.0/17255.112.0.1 to 255.112.127.254255.112.127.25532,766
226255.112.128.0/17255.112.128.1 to 255.112.255.254255.112.255.25532,766
227255.113.0.0/17255.113.0.1 to 255.113.127.254255.113.127.25532,766
228255.113.128.0/17255.113.128.1 to 255.113.255.254255.113.255.25532,766
229255.114.0.0/17255.114.0.1 to 255.114.127.254255.114.127.25532,766
230255.114.128.0/17255.114.128.1 to 255.114.255.254255.114.255.25532,766
231255.115.0.0/17255.115.0.1 to 255.115.127.254255.115.127.25532,766
232255.115.128.0/17255.115.128.1 to 255.115.255.254255.115.255.25532,766
233255.116.0.0/17255.116.0.1 to 255.116.127.254255.116.127.25532,766
234255.116.128.0/17255.116.128.1 to 255.116.255.254255.116.255.25532,766
235255.117.0.0/17255.117.0.1 to 255.117.127.254255.117.127.25532,766
236255.117.128.0/17255.117.128.1 to 255.117.255.254255.117.255.25532,766
237255.118.0.0/17255.118.0.1 to 255.118.127.254255.118.127.25532,766
238255.118.128.0/17255.118.128.1 to 255.118.255.254255.118.255.25532,766
239255.119.0.0/17255.119.0.1 to 255.119.127.254255.119.127.25532,766
240255.119.128.0/17255.119.128.1 to 255.119.255.254255.119.255.25532,766
241255.120.0.0/17255.120.0.1 to 255.120.127.254255.120.127.25532,766
242255.120.128.0/17255.120.128.1 to 255.120.255.254255.120.255.25532,766
243255.121.0.0/17255.121.0.1 to 255.121.127.254255.121.127.25532,766
244255.121.128.0/17255.121.128.1 to 255.121.255.254255.121.255.25532,766
245255.122.0.0/17255.122.0.1 to 255.122.127.254255.122.127.25532,766
246255.122.128.0/17255.122.128.1 to 255.122.255.254255.122.255.25532,766
247255.123.0.0/17255.123.0.1 to 255.123.127.254255.123.127.25532,766
248255.123.128.0/17255.123.128.1 to 255.123.255.254255.123.255.25532,766
249255.124.0.0/17255.124.0.1 to 255.124.127.254255.124.127.25532,766
250255.124.128.0/17255.124.128.1 to 255.124.255.254255.124.255.25532,766
251255.125.0.0/17255.125.0.1 to 255.125.127.254255.125.127.25532,766
252255.125.128.0/17255.125.128.1 to 255.125.255.254255.125.255.25532,766
253255.126.0.0/17255.126.0.1 to 255.126.127.254255.126.127.25532,766
254255.126.128.0/17255.126.128.1 to 255.126.255.254255.126.255.25532,766
255255.127.0.0/17255.127.0.1 to 255.127.127.254255.127.127.25532,766
256255.127.128.0/17255.127.128.1 to 255.127.255.254255.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses